Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I've just installed the newtx package using tlmgr. (I'm still on TexLive 2011, if that matters.) The installation did not result in any error messages -- but when I try to use the package, I do receive odd error messages.

Here's a minimal (non-)working example:

\documentclass{minimal}
\usepackage[libertine]{newtxmath}
\begin{document}
Foo bar $x \phi$ baz.
\end{document}

And here are the messages that result:

This is pdfTeX, Version 3.1415926-2.3-1.40.12 (TeX Live 2011)
 restricted \write18 enabled.
entering extended mode
(./foo.tex
LaTeX2e <2011/06/27>
Babel <v3.8m> and hyphenation patterns for english, dumylang, nohyphenation, ba
sque, danish, dutch, ukenglish, usenglishmax, finnish, french, german, ngerman,
 swissgerman, hungarian, italian, bokmal, nynorsk, polish, portuguese, spanish,
 swedish, loaded.
(/usr/local/texlive/2011/texmf-dist/tex/latex/base/minimal.cls
Document Class: minimal 2001/05/25 Standard LaTeX minimal class
) (/usr/local/texlive/2011/texmf-dist/tex/latex/newtx/newtxmath.sty

LaTeX Warning: You have requested package `newtxmath',
               but the package provides `ntxmath'.
`ntxmath' v0.92, 2012/05/09 Math macros based on txfonts (msharpe)
(/usr/local/texlive/2011/texmf-dist/tex/latex/xkeyval/xkeyval.sty
(/usr/local/texlive/2011/texmf-dist/tex/generic/xkeyval/xkeyval.tex
(/usr/local/texlive/2011/texmf-dist/tex/generic/xkeyval/keyval.tex))))
(./foo.aux) (/usr/local/texlive/2011/texmf-dist/tex/latex/newtx/omlnxlmi.fd)
(/usr/local/texlive/2011/texmf-dist/tex/latex/newtx/omsntxsy.fd)
(/usr/local/texlive/2011/texmf-dist/tex/latex/newtx/omxntxex.fd)
(/usr/local/texlive/2011/texmf-dist/tex/latex/newtx/untxexa.fd)
(/usr/local/texlive/2011/texmf-dist/tex/latex/newtx/untxmia.fd)
(/usr/local/texlive/2011/texmf-dist/tex/latex/newtx/untxsya.fd)
(/usr/local/texlive/2011/texmf-dist/tex/latex/newtx/untxsyb.fd)
(/usr/local/texlive/2011/texmf-dist/tex/latex/newtx/untxsyc.fd) [1{/usr/local/t
exlive/2011/texmf-var/fonts/map/pdftex/updmap/pdftex.map}] (./foo.aux)
kpathsea: Running mktexpk --mfmode / --bdpi 600 --mag 1+0/600 --dpi 600 nxlmi
mktexpk: don't know how to create bitmap font for nxlmi.
mktexpk: perhaps nxlmi is missing from the map file.
kpathsea: Appending font creation commands to missfont.log.
 )
!pdfTeX error: pdflatex (file nxlmi): Font nxlmi at 600 not found
 ==> Fatal error occurred, no output PDF file produced!

Thoughts?

Edit: After upgrading to TexLive 2012 and installing the current version of newtx, I instead get a sequence of error messages that begins like this:

This is pdfTeX, Version 3.1415926-2.4-1.40.13 (TeX Live 2012)
 restricted \write18 enabled.
entering extended mode
(./foo.tex
LaTeX2e <2011/06/27>
Babel <v3.8m> and hyphenation patterns for english, dumylang, nohyphenation, lo
aded.
(/usr/local/texlive/2012/texmf-dist/tex/latex/base/minimal.cls
Document Class: minimal 2001/05/25 Standard LaTeX minimal class
) (/usr/local/texlive/2012/texmf-dist/tex/latex/newtx/newtxmath.sty
`newtxmath' v0.95, 2012/05/26 Math macros based on txfonts (msharpe)
(/usr/local/texlive/2012/texmf-dist/tex/generic/kastrup/binhex.tex)
(/usr/local/texlive/2012/texmf-dist/tex/latex/xkeyval/xkeyval.sty
(/usr/local/texlive/2012/texmf-dist/tex/generic/xkeyval/xkeyval.tex
(/usr/local/texlive/2012/texmf-dist/tex/generic/xkeyval/keyval.tex))))
(./foo.aux) (/usr/local/texlive/2012/texmf-dist/tex/latex/newtx/omlnxlmi.fd)
(/usr/local/texlive/2012/texmf-dist/tex/latex/newtx/omsntxsy.fd)
(/usr/local/texlive/2012/texmf-dist/tex/latex/newtx/omxntxex.fd)
(/usr/local/texlive/2012/texmf-dist/tex/latex/newtx/untxexa.fd)

LaTeX Font Warning: Font shape `OT1/cmr/m/n' in size <5.5> not available
(Font)              size <5> substituted on input line 4.

(/usr/local/texlive/2012/texmf-dist/tex/latex/newtx/untxmia.fd)
(/usr/local/texlive/2012/texmf-dist/tex/latex/newtx/untxsya.fd)
(/usr/local/texlive/2012/texmf-dist/tex/latex/newtx/untxsyb.fd)
(/usr/local/texlive/2012/texmf-dist/tex/latex/newtx/untxsyc.fd) [1{/usr/local/t
exlive/2012/texmf-var/fonts/map/pdftex/updmap/pdftex.map}
kpathsea: Running mktextfm txmi
/usr/local/texlive/2012/texmf/web2c/mktexnam: Could not map source abbreviation  for txmi.
/usr/local/texlive/2012/texmf/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input txmi
This is METAFONT, Version 2.718281 (TeX Live 2012)


kpathsea: Running mktexmf txmi
! I can't find file `txmi'.
<*> \mode:=ljfour; mag:=1; nonstopmode; input txmi

Please type another input file name
! Emergency stop.
<*> \mode:=ljfour; mag:=1; nonstopmode; input txmi

Transcript written on mfput.log.
grep: txmi.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input txmi' failed to make txmi.tfm.
kpathsea: Appending font creation commands to missfont.log.

! Font \csname\endcsname=txmi at 10.0pt not loadable: Metric (TFM) file not fou
nd.
<to be read again> 
                   \endgroup \set@typeset@protect 
l.5 \end{document}
...
share|improve this question

closed as too localized by egreg, David Carlisle, yo', Kurt, lockstep Nov 3 '12 at 22:03

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
This package is still fairly new, and it has received several updates and improvements since being first released less than two months ago. The warning message "LaTeX Warning: You have requested package newtxmath', but the package provides ntxmath'." no longer occurs if the latest version of the package is loaded. However, TeXLive2011 has been frozen for several weeks now and won't autoupdate packages anymore. You either have to download and install the latest version of the package yourself, or go ahead and download and install TeXLive2012 to get access to the latest version of the package. –  Mico Jun 22 '12 at 2:33
1  
More on the version of the newtx[text,math] packages: According to the README file at ctan.org/tex-archive/fonts/newtx, the package's latest version number is 0.98, date 2012/06/18. –  Mico Jun 22 '12 at 2:52
    
This doesn't give any problem with the current version of newtx –  egreg Nov 3 '12 at 21:49

Browse other questions tagged or ask your own question.